Skip to main content
GET
/
agents
/
{id}
Get agent
curl --request GET \
  --url https://api.goyappr.com/agents/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "system_prompt": "<string>",
  "description": "<string>",
  "voice": "Zephyr",
  "language": "he",
  "temperature": 1,
  "greeting_message": "<string>",
  "agent_speaks_first": true,
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Your Yappr API key (e.g. ypr_live_...). Generate one in the dashboard under Settings → API Keys.

Path Parameters

id
string<uuid>
required

Response

Agent with attached tools

id
string<uuid>
name
string
system_prompt
string
description
string | null
voice
enum<string>
Available options:
Zephyr,
Puck,
Charon,
Kore,
Fenrir,
Aoede,
Leda,
Orus,
Perseus,
Schedar
language
enum<string>
Available options:
he,
en
temperature
number
Required range: 0 <= x <= 2
greeting_message
string | null
agent_speaks_first
boolean
is_active
boolean
created_at
string<date-time>